[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'types' (#rtl)

# IsRectEmpty

Check whether a rectangle is empty

## Declaration

Source position: types.pp line 298

`function IsRectEmpty(`
`const Rect: TRect`
`):Boolean;`

## Description

IsRectEmpty returns true if the rectangle is empty, i.e. has a zero or negative width or height.

## See also

PtinRect |  | Check whether a point is inside a rectangle.
IntersectRect |  | Return the intersection of 2 rectangles
IsRectEmpty |  | Check whether a rectangle is empty
OffsetRect |  | Offset the rectangle
InflateRect |  | Increase the rectangle in size, keeping it centered
Size |  | Return the size of the rectangle

Documentation generated on: Feb 26 2014